Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.cataloguemanager.model
Class DQDataQuality

    java.lang.Object
      org.deegree.portal.cataloguemanager.model.DQDataQuality

    public class DQDataQuality

extends Object

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{http://www.isotc211.org/2005/gmd}scope"/>
             <element ref="{http://www.isotc211.org/2005/gmd}report"/>
             <element ref="{http://www.isotc211.org/2005/gmd}lineage"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected Lineage` | `lineage`
`protected Report` | `report`
`protected Scope` | `scope`

Constructor Summary
`DQDataQuality()`

Method Summary
`Lineage` | `getLineage()` Gets the value of the lineage property.
`Report` | `getReport()` Gets the value of the report property.
`Scope` | `getScope()` Gets the value of the scope property.
`void` | `setLineage(Lineage value)` Sets the value of the lineage property.
`void` | `setReport(Report value)` Sets the value of the report property.
`void` | `setScope(Scope value)` Sets the value of the scope property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### scope

    protected Scope scope

### report

    protected Report report

### lineage

    protected Lineage lineage

Constructor Detail

### DQDataQuality

    public DQDataQuality()

Method Detail

### getScope

    public Scope getScope()

  Gets the value of the scope property.

  Returns:
    possible object is `Scope`

### setScope

    public void setScope(Scope value)

  Sets the value of the scope property.

  Parameters:
    `value` - allowed object is `Scope`

### getReport

    public Report getReport()

  Gets the value of the report property.

  Returns:
    possible object is `Report`

### setReport

    public void setReport(Report value)

  Sets the value of the report property.

  Parameters:
    `value` - allowed object is `Report`

### getLineage

    public Lineage getLineage()

  Gets the value of the lineage property.

  Returns:
    possible object is `Lineage`

### setLineage

    public void setLineage(Lineage value)

  Sets the value of the lineage property.

  Parameters:
    `value` - allowed object is `Lineage`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org